package com.gic.haoban.manage.web.qo.hm;

import com.gic.haoban.base.api.common.BasePageInfo;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author MUSI
 * @Date 2022/7/8 10:01 AM
 * @Description
 * @Version
 **/
public class HmPageListQO extends BasePageInfo {

    private static final long serialVersionUID = 660563636929408221L;
    private String pageSearchText;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    private int pageType ;

    public int getPageType() {
        return pageType;
    }

    public void setPageType(int pageType) {
        this.pageType = pageType;
    }
    
    public String getPageSearchText() {
        return pageSearchText;
    }

    public void setPageSearchText(String pageSearchText) {
        this.pageSearchText = pageSearchText;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}
